diff options
author | cuoco <cuoco@themanaworld.org> | 2023-05-15 12:05:49 +0200 |
---|---|---|
committer | cuoco <cuoco@themanaworld.org> | 2023-05-15 12:05:49 +0200 |
commit | 3c960310317d589ec81ef4ac0aa334a495ac50fc (patch) | |
tree | cc21b4e71d3840be1ee4f569497e7fc65d06d99c /tools | |
parent | f35e0155e1c7a2f684a2fe5d5b98b8d2e06050bc (diff) | |
parent | 279c7ba28804960ae3b2ec0753b4c3a92d5a6ede (diff) | |
download | plus-3c960310317d589ec81ef4ac0aa334a495ac50fc.tar.gz plus-3c960310317d589ec81ef4ac0aa334a495ac50fc.tar.bz2 plus-3c960310317d589ec81ef4ac0aa334a495ac50fc.tar.xz plus-3c960310317d589ec81ef4ac0aa334a495ac50fc.zip |
Merge branch 'master' of https://git.themanaworld.org/mana/plus
Diffstat (limited to 'tools')
-rwxr-xr-x | tools/ci/jobs/mplint.sh | 2 | ||||
-rwxr-xr-x | tools/ci/scripts/dockerretry.sh | 2 | ||||
-rwxr-xr-x | tools/ci/scripts/runtest.sh | 2 | ||||
-rwxr-xr-x | tools/ci/scripts/runtests.sh | 2 | ||||
-rwxr-xr-x | tools/ci/scripts/updaterepos.sh | 2 |
5 files changed, 5 insertions, 5 deletions
diff --git a/tools/ci/jobs/mplint.sh b/tools/ci/jobs/mplint.sh index 66a056dba..d3508759f 100755 --- a/tools/ci/jobs/mplint.sh +++ b/tools/ci/jobs/mplint.sh @@ -19,7 +19,7 @@ export CXXFLAGS="-std=gnu++11" do_init rm -rf mplint || true -gitclone https://gitlab.com/manaplus mplint.git +gitclone https://git.themanaworld.org/mana mplint.git cd mplint run_configure_simple run_make diff --git a/tools/ci/scripts/dockerretry.sh b/tools/ci/scripts/dockerretry.sh index 121878cbb..ed8dbdc80 100755 --- a/tools/ci/scripts/dockerretry.sh +++ b/tools/ci/scripts/dockerretry.sh @@ -1,7 +1,7 @@ #!/usr/bin/env bash # skip if we not in docker -if [[ ${CI_RUNNER_TAGS} != *"docker"* ]]; then +if [[ "$RUNFROMSHELL" != "" ]]; then echo "Running from shell. Skipping $*" exit 0 fi diff --git a/tools/ci/scripts/runtest.sh b/tools/ci/scripts/runtest.sh index 7c41da5ce..7707a34aa 100755 --- a/tools/ci/scripts/runtest.sh +++ b/tools/ci/scripts/runtest.sh @@ -18,7 +18,7 @@ function check_is_run { } function check_assert { - grep "Assert:" "${HOME}/.local/share/mana/manaplus.log" + grep -A 20 "Assert:" "${HOME}/.local/share/mana/manaplus.log" if [ "$?" == 0 ]; then echo "Assert found in log" exit 1 diff --git a/tools/ci/scripts/runtests.sh b/tools/ci/scripts/runtests.sh index 18bcd7512..9f0a6729f 100755 --- a/tools/ci/scripts/runtests.sh +++ b/tools/ci/scripts/runtests.sh @@ -1,6 +1,6 @@ #!/usr/bin/env bash -if [[ ${CI_RUNNER_TAGS} != *"docker"* ]]; then +if [[ "$RUNFROMSHELL" != "" ]]; then if [[ ${CIRRUS_CI} != "true" ]]; then echo "Running from shell. Skipping run tests $*" exit 0 diff --git a/tools/ci/scripts/updaterepos.sh b/tools/ci/scripts/updaterepos.sh index f0698fc19..167898a83 100755 --- a/tools/ci/scripts/updaterepos.sh +++ b/tools/ci/scripts/updaterepos.sh @@ -1,6 +1,6 @@ #!/usr/bin/env bash -if [[ ${CI_RUNNER_TAGS} != *"docker"* ]]; then +if [[ "$RUNFROMSHELL" != "" ]]; then echo "Running from shell. Skipping update repos" exit 0 fi |